- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QTranslator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qtranslator.h.

`#include <qtranslator.h>`

Inheritance diagram for QTranslator:
[legend]

List of all members.

## Public Member Functions
| QTranslator (QObject *parent=0)
| ~QTranslator ()
virtual QString | translate (const char *context, const char *sourceText, const char *disambiguation=0) const
QString | translate (const char *context, const char *sourceText, const char *disambiguation, int n) const
virtual bool | isEmpty () const
bool | load (const QString &filename, const QString &directory=QString(), const QString &search_delimiters=QString(), const QString &suffix=QString())
bool | load (const uchar *data, int len)

## Constructor & Destructor Documentation

QTranslator | ( | QObject * | parent = `0` | ) | `[explicit]`

~QTranslator | ( |  | ) |

## Member Function Documentation

virtual QString translate | ( | const char * | context,
|  | const char * | sourceText,
|  | const char * | disambiguation = `0`
| ) |  | const `[virtual]`

Search for all occurrences

QString translate | ( | const char * | context,
|  | const char * | sourceText,
|  | const char * | disambiguation,
|  | int | n
| ) |  | const

Search for all occurrences

virtual bool isEmpty | ( |  | ) | const `[virtual]`

Search for all occurrences

bool load | ( | const QString & | filename,
|  | const QString & | directory = `QString()`,
|  | const QString & | search_delimiters = `QString()`,
|  | const QString & | suffix = `QString()`
| ) |  |

Search for all occurrences

bool load | ( | const uchar * | data,
|  | int | len
| ) |  |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qtranslator.h

QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator
QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator QTranslator